LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 01-23-2019, 08:30 AM   #1
RandomTroll
Senior Member
 
Registered: Mar 2010
Distribution: Slackware
Posts: 1,207

Rep: Reputation: 201Reputation: 201Reputation: 201
bash.pc of bash-5.0.002-x86_64-1 is in /usr/lib/pkgconfig/ instead of /usr/lib64/pkgconfig/


bash.pc of bash-5.0.002-x86_64-1 is in /usr/lib/pkgconfig/ instead of /usr/lib64/pkgconfig/
 
Old 01-23-2019, 11:48 AM   #2
mats_b_tegner
Member
 
Registered: Nov 2009
Location: Gothenburg, Sweden
Distribution: Slackware64
Posts: 515

Rep: Reputation: 304Reputation: 304Reputation: 304Reputation: 304
Quote:
Originally Posted by RandomTroll View Post
bash.pc of bash-5.0.002-x86_64-1 is in /usr/lib/pkgconfig/ instead of /usr/lib64/pkgconfig/
Confirmed. Any ideas of a fix/workaround?
 
Old 01-23-2019, 12:04 PM   #3
RandomTroll
Senior Member
 
Registered: Mar 2010
Distribution: Slackware
Posts: 1,207

Original Poster
Rep: Reputation: 201Reputation: 201Reputation: 201
Quote:
Originally Posted by mats_b_tegner View Post
Confirmed. Any ideas of a fix/workaround?
The maintainers move it. They've moved the .pc files of every other package. It isn't a big deal. I only noticed because I was cleaning up outdated files, saw this was the only one left in /usr/lib/pkgconfig. I can wait until it's convenient for them, even if that's never.
 
Old 01-23-2019, 12:38 PM   #4
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 4,785

Rep: Reputation: Disabled
Quote:
Originally Posted by mats_b_tegner View Post
Confirmed. Any ideas of a fix/workaround?
it seems like configure wants a --libdir argument, so here I modified the SlackBuild like this
Code:
--- ./bash.SlackBuild.orig      2019-01-19 00:44:11.216576876 +0100
+++ ./bash.SlackBuild   2019-01-23 19:35:23.157382000 +0100
@@ -47,6 +47,7 @@

 NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}

+LIBDIRSUFFIX=""
 if [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
 elif [ "$ARCH" = "i586" ]; then
@@ -55,6 +56,7 @@
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
 elif [ "$ARCH" = "armv7hl" ]; then
   SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
 else
@@ -95,7 +97,7 @@
 find . -perm 775 | xargs chmod 755

 if [ -d $CWD/bash-${VERSION}-patches ]; then
-  ( cd $CWD/bash-${VERSION}-patches ; cat bash4?-??? ) | patch -p0 --verbose || exit 1
+  ( cd $CWD/bash-${VERSION}-patches ; cat bash5?-??? ) | patch -p0 --verbose || exit 1
 fi

 # Fix .so errors in manpages (needed for strict implementations such as mandoc):
@@ -109,6 +111,7 @@
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
+  --libdir=/usr/lib$LIBDIRSUFFIX \
   --mandir=/usr/man \
   --infodir=/usr/info \
   --docdir=/usr/doc/bash-$VERSION \
 
3 members found this post helpful.
Old 01-23-2019, 04:05 PM   #5
RandomTroll
Senior Member
 
Registered: Mar 2010
Distribution: Slackware
Posts: 1,207

Original Poster
Rep: Reputation: 201Reputation: 201Reputation: 201
Quote:
Originally Posted by ponce View Post
it seems like configure wants a --libdir argument, so here I modified the SlackBuild like this
Some people use the built packages; my comment is for them.
 
Old 01-24-2019, 03:26 AM   #6
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-14.2.1.2 on Lenovo Thinkpad W520
Posts: 8,851

Rep: Reputation: Disabled
Quote:
Originally Posted by RandomTroll View Post
Some people use the built packages; my comment is for them.
Matteo's patch has been applied for them:
Code:
 
Wed Jan 23 22:02:34 UTC 2019
a/bash-5.0.002-x86_64-2.txz:  Rebuilt.
  Rebuilt with --libdir=/usr/lib${LIBDIRSUFFIX}. Thanks to RandomTroll.
 
Old 01-24-2019, 07:02 AM   #7
RandomTroll
Senior Member
 
Registered: Mar 2010
Distribution: Slackware
Posts: 1,207

Original Poster
Rep: Reputation: 201Reputation: 201Reputation: 201
Thanks!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
howto tell "make install" look in /usr/lib64 instead of in /usr/lib? tramni1980 Slackware 3 06-01-2012 09:08 PM
slackware64 /usr/lib /usr/lib64 question disturbed1 Slackware 29 02-14-2010 08:05 AM
Location of libraries in /usr/lib/ or /usr/lib64/ in Slackware64 niels.horn Slackware 2 06-24-2009 04:25 AM
Relocat /usr/lib and /usr/lib64 to a different path schokshi Fedora 3 08-30-2005 09:14 PM
Compromised? Files "/usr/lib.hwm", "/usr/lib.pwd", "/usr/lib.pwi" Klaus Pforte Linux - Security 4 09-28-2004 11:33 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 03:47 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration